Create Chart
curl --request POST \
--url https://qall.io/api/analytics/dashboards/{dashboard_id}/charts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"config": {
"queries": [
{
"column": "<string>",
"operation": "<string>",
"table": "<string>",
"filters": [
{
"column": "<string>",
"value": null,
"values": [
"<unknown>"
]
}
],
"id": "A"
}
],
"compare_previous_period": false,
"date_range": "30d",
"group_by": "<string>",
"limit": 50,
"sort": {
"by": "value",
"direction": "desc"
}
},
"name": "<string>",
"display": {
"colors": [
"<string>"
],
"curve": "smooth",
"decimal_places": 2,
"label_format": "number",
"prefix": "",
"show_grid": true,
"show_legend": true,
"stacked": false,
"suffix": "",
"trend_sentence": "<string>"
},
"grid_h": 3,
"grid_w": 6,
"grid_x": 0,
"grid_y": 0,
"size": "medium"
}
'import requests
url = "https://qall.io/api/analytics/dashboards/{dashboard_id}/charts"
payload = {
"config": {
"queries": [
{
"column": "<string>",
"operation": "<string>",
"table": "<string>",
"filters": [
{
"column": "<string>",
"value": None,
"values": ["<unknown>"]
}
],
"id": "A"
}
],
"compare_previous_period": False,
"date_range": "30d",
"group_by": "<string>",
"limit": 50,
"sort": {
"by": "value",
"direction": "desc"
}
},
"name": "<string>",
"display": {
"colors": ["<string>"],
"curve": "smooth",
"decimal_places": 2,
"label_format": "number",
"prefix": "",
"show_grid": True,
"show_legend": True,
"stacked": False,
"suffix": "",
"trend_sentence": "<string>"
},
"grid_h": 3,
"grid_w": 6,
"grid_x": 0,
"grid_y": 0,
"size": "medium"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}analytics
Create Chart
POST
/
api
/
analytics
/
dashboards
/
{dashboard_id}
/
charts
Create Chart
curl --request POST \
--url https://qall.io/api/analytics/dashboards/{dashboard_id}/charts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"config": {
"queries": [
{
"column": "<string>",
"operation": "<string>",
"table": "<string>",
"filters": [
{
"column": "<string>",
"value": null,
"values": [
"<unknown>"
]
}
],
"id": "A"
}
],
"compare_previous_period": false,
"date_range": "30d",
"group_by": "<string>",
"limit": 50,
"sort": {
"by": "value",
"direction": "desc"
}
},
"name": "<string>",
"display": {
"colors": [
"<string>"
],
"curve": "smooth",
"decimal_places": 2,
"label_format": "number",
"prefix": "",
"show_grid": true,
"show_legend": true,
"stacked": false,
"suffix": "",
"trend_sentence": "<string>"
},
"grid_h": 3,
"grid_w": 6,
"grid_x": 0,
"grid_y": 0,
"size": "medium"
}
'import requests
url = "https://qall.io/api/analytics/dashboards/{dashboard_id}/charts"
payload = {
"config": {
"queries": [
{
"column": "<string>",
"operation": "<string>",
"table": "<string>",
"filters": [
{
"column": "<string>",
"value": None,
"values": ["<unknown>"]
}
],
"id": "A"
}
],
"compare_previous_period": False,
"date_range": "30d",
"group_by": "<string>",
"limit": 50,
"sort": {
"by": "value",
"direction": "desc"
}
},
"name": "<string>",
"display": {
"colors": ["<string>"],
"curve": "smooth",
"decimal_places": 2,
"label_format": "number",
"prefix": "",
"show_grid": True,
"show_legend": True,
"stacked": False,
"suffix": "",
"trend_sentence": "<string>"
},
"grid_h": 3,
"grid_w": 6,
"grid_x": 0,
"grid_y": 0,
"size": "medium"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Available options:
column, bar, line, area, donut, number, table Show child attributes
Show child attributes
Maximum string length:
200Show child attributes
Show child attributes
Available options:
small, medium, large Response
Successful Response
⌘I